[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

dpkg-cross lib*.la fix_la_file bug


There appears to be a bug in dpkg-cross that causes the dependency_libs in la files not to be converted properly in all cases. The regular expression search/replace you have doesn't match libraries that have a '-' or an extra '.' in the version name.

I hacked my version (fix_la_file routine) as follows to fix the problems I was having:

Version: 1.39:


My Hack:


e.g. the bug causes only libxml2.la to be converted in the following dependency line:

dependency_libs=' /usr/lib/libgobject-2.0.la /usr/lib/libgthread-2.0.la -lrt /usr/lib/libgmodule-2.0.la -ldl /usr/lib/libglib-2.0.la /usr/lib/libxml2.la'

It also still appears to be a problem with Version: 1.99+2.0.0pre1.


Reply to: